# Python 元组

> 原文： [https://pythonspot.com/python-tuples/](https://pythonspot.com/python-tuples/)

元组数据结构用于存储一组数据。 该组中的元素用逗号分隔。 创建后，元组的值将无法更改。

## Python 元组

Python 中的空元组将定义为：

```py
tuple = ()

```

具有一个项目的元组需要逗号：

```py
tuple = (3,)

```

一项的逗号可能很直观，但是如果没有一项的逗号，则无法访问该元素。 对于多个项目，您不必在末尾加逗号。 此集是一个示例：

```py
personInfo = ("Diana", 32, "New York")

```

元组中的数据可以是一种或多种数据类型，例如文本和数字。

## 数据存取

要访问数据，我们可以简单地使用索引。 通常，索引是括号之间的数字：

```py
#!/usr/bin/env python

personInfo = ("Diana", 32, "New York")
print(personInfo[0])
print(personInfo[1])

```

如果要一次分配多个变量，则可以使用元组：

```py
#!/usr/bin/env python

name,age,country,career = ('Diana',32,'Canada','CompSci')
print(country)

```

在右侧记录了元组。 等于运算符的左侧是对应的输出变量。

## 附加到 Python 中的元组

如果您有一个现有的元组，则可以使用`+`运算符将其追加。 您只能将元组追加到现有元组。

```py
#!/usr/bin/env python

x = (3,4,5,6)
x = x + (1,2,3)
print(x)

```

[下载 Python 练习](https://pythonspot.com/download-python-exercises/)