# 数据类型转换

> 原文： [https://pythonspot.com/datatype-casting/](https://pythonspot.com/datatype-casting/)

Python 自动确定数据类型，以说明：

```py

x = 3
y = "text"

```

它发现`x`是整数类型，`y`是字符串类型。

函数接受某种数据类型。 例如，`print`仅接受字符串数据类型。

## 数据类型转换

如果要打印数字，则经常需要强制转换。

在下面的示例中，我们要打印两个数字，一个整数（整数）和一个浮点数。

```py
x = 3
y = 2.15315315313532

print("We have defined two numbers,")
print("x = " + str(x))
print("y = " + str(y))

```

我们使用`str()`函数将变量`x`（整数）和变量`y`（浮点数）转换为字符串。

如果我们有要存储为数字的文本怎么办？ 我们将不得不再次转型。

```py
a = "135.31421"
b = "133.1112223"

c = float(a) + float(b)
print(c)

```

在上面的示例中，我们将两个具有数据类型字符串的变量强制转换为数据类型`float`。

## 转换函数

要在数据类型之间转换，可以使用：

[下载 Python 练习](https://pythonspot.com/download-python-exercises/)

| 函数 | 描述 |
| --- | --- |
| `int(x)` | 将`x`转换为整数 |
| `long(x)` | 将`x`转换为长整数 |
| `float(x)` | 将`x`转换为浮点数 |
| `str(x)` | 将`x`转换为字符串。`x`可以是`float`类型。 整数或长整数。 |
| `hex(x)` | 将`x`整数转换为十六进制字符串 |
| `asc(x)` | 将`x`整数转换为字符 |
| `ord(x)` | 将字符`x`转换为整数 |