# QT4 消息框

> 原文： [https://pythonspot.com/qt4-messagebox/](https://pythonspot.com/qt4-messagebox/)

[PyQT4](https://pythonspot.com/pyqt4/) 使用多种功能提供消息框功能。 [PyQT4](https://pythonspot.com/pyqt4/) 中包含的 消息框是：问题，警告，错误，信息，批评和关于框。

## PyQt4 消息框

下面的代码将显示一个带有两个按钮的消息框：

```py
#! /usr/bin/env python
# -*- coding: utf-8 -*-
#
import sys
from PyQt4.QtGui import *

# Create an PyQT4 application object.
a = QApplication(sys.argv)

# The QWidget widget is the base class of all user interface objects in PyQt4.
w = QWidget()

# Show a message box
result = QMessageBox.question(w, 'Message', "Do you like Python?", QMessageBox.Yes | QMessageBox.No, QMessageBox.No)

if result == QMessageBox.Yes:
    print('Yes.')
else:
    print('No.')

# Show window
w.show()

sys.exit(a.exec_())

```

结果：

![qtMessagebox question](img/42005bdb1e24d6b5c1b14e5895521e3a.jpg)

qtMessagebox 问题

[PyQT4](https://pythonspot.com/pyqt4/) 提供了不同类型的消息框。

## PyQT4 警告框

您可以使用以下代码行显示警告框：

```py
QMessageBox.warning(w, "Message", "Are you sure you want to continue?")

```

## PyQT4 信息框

我们可以使用`QMessageBox.information()`显示一个信息框

```py
QMessageBox.information(w, "Message", "An information messagebox @ pythonspot.com ")

```

结果：

![QMessageBox Info](img/6efbaae64acdb4e69214c7589963b5bd.jpg)

QMessageBox 信息

## PyQT4 错误框

如果您的应用程序出现问题，则可能需要显示一条错误消息。

```py
QMessageBox.critical(w, "Message", "No disk space left on device.")

```

Result: ![QMessagebox ](img/af9cd039b8bc48207cfd140b3bd3dd1c.jpg)

QMessagebox

## PyQT4 关于框

我们已经在上面显示了问题框。

```py
QMessageBox.about(w, "About", "An example messagebox @ pythonspot.com ")

```

结果

![qt Messagebox](img/843b3c0a68065ac101f04944c2bac053.jpg)

qt 消息框

[下载 PyQT 代码（批量收集）](https://pythonspot.com/python-qt-examples/)