# Python 类

> 原文： [https://pythonspot.com/python-class/](https://pythonspot.com/python-class/)

Python 中的所有内容都是一个对象。 每个对象都可以包含方法和变量（具有唯一值）。 对象是从类创建（通常称为实例化）的。

## 类示例

考虑以下示例：

```py

class Animal:
    def __init__(self,name):
        self.name = name

    def walk(self):
        print(self.name + ' walks.')

duck = Animal('Duck')
duck.walk()

```

我们在动物类中创建了一个名为`duck`的对象。 该类具有一个可以在每个对象上调用的方法（`walk`）。 我们还有一个称为`__init__()`的方法，该方法在创建新对象时总是被调用。 每种方法都必须使用`self`关键字。 我们使用类（`self.name = ..`）设置变量。

![python class](img/cb722e238db4c81d1854b65097d597a9.jpg)

使用建模语言 UML 绘制的 Python 类和对象

创建对象后，我们可以调用其方法并无限期使用其变量。 同一类的每个对象都具有相同的方法，但是其变量内容可能有所不同。

Python 程序可能包含许多类和对象。 为了证明这一点，我们从一个类创建两个对象：

```py

class Animal:
    def __init__(self,name):
        self.name = name

    def walk(self):
        print(self.name + ' walks.')

duck = Animal('Duck')
duck.walk()

rhino = Animal('African Rhino')
rhino.walk()

```

[下载练习](https://pythonspot.com/download-oop-exercises/)