# Flask 和静态 html 文件

> 原文： [https://pythonspot.com/flask-with-static-html-files/](https://pythonspot.com/flask-with-static-html-files/)

您可以使用 Flask 框架并一起使用静态文件。

Flask 将为您提供 URL 路由，许多功能以及所有 Python 好处。

您可能需要一个部分动态和部分静态的应用程序。 或者，您可能只想使用 URL 路由进行浏览。 在本文中，我们将教您如何使用 Flask 加载静态 HTML 文件。


```py
from flask import Flask, render_template

app = Flask(__name__)

@app.route('/<string:page_name>/')
def render_static(page_name):
    return render_template('%s.html' % page_name)</string:page_name>

if __name__ == '__main__':
    app.run()

```

该应用程序使用以下方法初始化 Flask 应用程序：

```py

app.run()

```

该应用程序为任何可能的页面创建 URL 路由，并使用以下链接将其链接到静态 html 文件：

```py

@app.route('/<string:page_name>/')
def render_static(page_name):
    return render_template('%s.html' % page_name)

```

`/<string:page_name>/`

创建目录`/templates/`并添加文件`hello.html`：

```py

<title>Hello World Template</title>

Hello World

```

使用以下命令启动服务器：

```py
$ python app.py
* Running on http://127.0.0.1:5000/

```

然后，可以使用 URL 路由访问任何`.html`文件。

例如，可以使用 [http://127.0.0.1:5000/hello](http://127.0.0.1:5000/hello) 访问静态文件`hello.html`。 您可以将任何 css 文件存储在`/static/`目录中。

[下载 Flask 示例](https://pythonspot.com/download-flask-examples/)