# python 语音引擎教程

> 原文： [https://pythonspot.com/speech-engines-with-python-tutorial/](https://pythonspot.com/speech-engines-with-python-tutorial/)

![Text To Speech (TTS)](/wp-content/uploads/2016/07/tts.png) 

文本到语音（TTS）

用于创建人工语音的计算机系统称为语音合成器，可以在软件或硬件产品中实现。

**文本到语音（TTS）**系统将普通语言文本转换为语音。 我们如何在 Python 中使用语音合成？


## Pyttsx

[Pyttsx](https://pypi.python.org/pypi/pyTTS/3.0) 是一个跨平台（Mac OSX，Windows 和 Linux）的语音库。 您可以设置语音元数据，例如年龄，性别，ID，语言和姓名。 您的语音引擎带有大量语音。

文字转语音样本：

<https://pythonspot.com/wp-content/uploads/2016/08/pytts.wav>

安装方式：

```py

sudo pip install pyttsx

```

创建代码`Speech1.py`

```py

import pyttsx
engine = pyttsx.init()
engine.say('The quick brown fox jumped over the lazy dog.')
engine.runAndWait()

```

并使用 python 执行它。

## eSpeak

[eSpeak](https://espeak.sourceforge.net/) 是一款适用于 Linux 和 Windows 的紧凑型开源软件语音合成器，适用于英语和其他语言。

文字转语音样本：

<https://pythonspot.com/wp-content/uploads/2016/08/espeak.wav>

我们可以使用以下方法进行安装：

```py

sudo apt-get install espeak

```

创建代码`Speech2.py`：

```py

import os
os.system("espeak 'The quick brown fox'")

```

它非常易于使用，但是像 pyttsx 一样听起来很机器人。

## gTTS

[**gtts 模块不再起作用**](https://stackoverflow.com/questions/9893175/google-text-to-speech-api)。

[我在 Github 上找到了一个使用 Google 语音引擎的脚本](https://github.com/pndurette/gTTS)。 该脚本带有许多选项，并且不会说话，而是保存为 mp3。 我们添加了一个命令来自动播放 mp3：

```py

os.system("mpg321 out.mp3 -quiet")

```

运行：

```py

python gtts.py -s 'Python programming example'

```

声音非常自然。 唯一的缺点是，运行此脚本时需要与互联网连接。

## 链接

你可能会喜欢：

*   [Jarvis 和 Python](https://pythonspot.com/personal-assistant-jarvis-in-python/)

*   [使用 Google Speech API](https://pythonspot.com/speech-recognition-using-google-speech-api/) 的语音识别